<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Refit" Version="6.3.2" />
	</ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DocuMed.Core\DocuMed.Core.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Models\RestApi\KaveNegar\" />
    <Folder Include="RestServices\" />
    <Folder Include="Services\" />
  </ItemGroup>

  <ItemGroup>
    <Using Include="DocuMed.Common.Models" />
    <Using Include="DocuMed.Common.Models.Api" />
    <Using Include="DocuMed.Common.Models.Exception" />
    <Using Include="DocuMed.Core.Abstracts" />
    <Using Include="DocuMed.Domain.Models.Settings" />
    <Using Include="DocuMed.Infrastructure.Models" />
    <Using Include="DocuMed.Infrastructure.Models.RestApi.KaveNegar" />
    <Using Include="DocuMed.Infrastructure.RestServices" />
    <Using Include="Microsoft.Extensions.Logging" />
    <Using Include="Microsoft.Extensions.Options" />
    <Using Include="Refit" />
  </ItemGroup>

</Project>
